Consulta de Operaciones y childs
Consultar Transacción por UID
Esta API permite consultar el estado de la transacción por el ID de cupón o referencia.
GET
https://api.bdp.gire.com/p/operations/{UID}
Path Parameters
- uidstringrequiredDescription
- REF:stringDescription
Header Parameters
- x-api-keystringrequiredDescription
- x-access-tokenstringrequiredDescription
curl
curl --request GET \
--url https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f \
--header 'cache-control: no-cache' \
--header 'content-type: multipart/form-data; \
--header 'x-api-key: zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj' \
--header 'x-access-token: d31f0721-2f85-44e7-bcc6-15e19d1a53cc' \
javascript
var data = new FormData();
data.append("id", "#MyImportantID");
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f");
xhr.setRequestHeader("x-api-key", "zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj");
xhr.setRequestHeader("x-access-token", "d31f0721-2f85-44e7-bcc6-15e19d1a53cc");
xhr.setRequestHeader("cache-control", "no-cache");
xhr.send(data);php
<?php
$request = new HttpRequest();
$request->setUrl('https://api.bdp.gire.com/p/operations/5f0c97f616d2da0eb6d6893f');
$request->setMethod(HTTP_METH_GET);
$request->setHeaders(array(
'cache-control' => 'no-cache',
'content-type' => 'application/json',
'x-access-token' => 'd31f0721-2f85-44e7-bcc6-15e19d1a53cc',
'x-api-key' => 'zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj'
));
$request->setPostFields(array(
'id' => '#MyImportantID'
));
try {
$response = $request->send();
echo $response->getBody();
} catch (HttpException $ex) {
echo $ex;
}
?>200
{
"result": true,
"data": {
"transactions": [],
"transaction": {
"result": true,
"view": {
"type": "card"
},
"payment": {
"id": "FW0F2SEJ5DUNPLsdfafsdfasd",
"reference": "2076547",
"description": "Cuota 6",
"operation": {
"type": "payment.v2"
},
"status": {
"code": "200",
"text": "Aprobado",
"message": "Transacción Aprobada",
"data": {},
"view": "default",
"resultCode": "00"
},
"total": 94570,
"requestedTotal": 94570,
"requestedCurrency": {
"code": "ARS",
"text": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"exponent": 2
},
"currency": {
"code": "ARS",
"text": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"exponent": 2
},
"riskAnalysis": {
"band": "N/A",
"level": "N/A"
},
"created": "2026-10-07T12:30:56.295Z",
"updated": "2026-10-07T12:30:58.455Z",
"source": {
"name": "Visa",
"type": "card",
"reference": "visa",
"number": "0000000****0000",
"variant": "credit",
"detectedReference": "visa.frances",
"cardholder": {
"name": "Test",
"identification": "0000000"
},
"expiration": {
"month": "07",
"year": "27"
},
"installment": {
"description": "1 cuota",
"amount": 0000,
"count": 1,
"reference": "1",
"uid": "asdfsadfasdf",
"tags": []
},
"transaction": {
"transactionId": "FW0F2SEJ5DUNasfsadfa",
"authorizationCode": "0000",
"batchNo": "000",
"ticketNo": "000",
"resultCode": "00",
"retrievalReferenceNo": "000000",
"merchantNo": "000000",
"acquirer": "arg.prisma"
}
}
},
"source": {
"name": "Visa",
"type": "card",
"reference": "visa"
}
},
"transaction_details": [
{
"key": "card_number",
"label": "Número de Tarjeta",
"value": "0000000****0000"
},
{
"key": "cardholderName",
"label": "Nombre Tarjeta-Habiente",
"value": "test"
},
{
"key": "cardholderIdentification",
"label": "ID Tarjeta-Habiente",
"value": "0000"
},
{
"key": "transactionId",
"label": "ID Transacción",
"value": "FW0F2SEJ5DUNPjkl;lkj;"
},
{
"key": "authorizationCode",
"label": "Código de Autorización",
"value": "00000"
},
{
"key": "batchNo",
"label": "Número de Lote",
"value": "000"
},
{
"key": "ticketNo",
"label": "Número de Ticket",
"value": "0000"
},
{
"key": "retrievalReferenceNo",
"label": "RRN",
"value": "000000"
},
{
"key": "merchantNo",
"label": "ID Comercio",
"value": "0000000"
},
{
"key": "merchantAcq",
"label": "Adquirente",
"value": "Prisma"
},
{
"key": "resultCode",
"label": "Código del Emisor",
"value": "00"
},
{
"key": "commerceId",
"label": "Número de Comercio",
"value": "00000"
},
{
"key": "processor",
"label": "Procesante",
"value": "Prisma"
}
]
}
}300
{
"result": true,
"data": {
"transactions": [
{
"_id": "6ad5dc16eba635DEMO",
"uid": "34L479DEMO",
"utid": "service_charge_6ad11DEMO",
"sender": "6a8463d1c6c3069DEMO",
"receiver": "673501f38a1fbc0DEMO",
"alias": null,
"coupon": "DEMO",
"description": "DEMO,
"message": "",
"type": "Service",
"currency": {
"value": "ARS",
"label": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"isoCode": "032",
"exponent": 2,
"hidden": false
},
"total": -580,
"created": "2026-10-19T09:00:06.990Z",
"status": "processed",
"settlementId": "DEMO",
"owner": "DEMO",
"references": [],
"hash": "DEMOa46ef7a30c3d5435a3e456a6928747cf61cdcea21fde7e0aa01197396e54cf102ea9259526dca6a38e758bbd8c",
"updated": "2026-10-19T09:01:07.396Z",
"__v": 0,
},
{
"_id": "6ad5dc15eDEMO",
"uid": "CN2IFS39XPZDEMO",
"utid": "payment_6ad113e92bb4999DEMO",
"sender": "673501f38a1fbc0395DEMO",
"receiver": "6a8463d1c6c3069f3cDEMO",
"alias": null,
"coupon": "6ad113e92bb4999b4DEMO",
"description": "DEMO",
"message": "",
"type": "Payment",
"currency": {
"value": "ARS",
"label": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"isoCode": "032",
"exponent": 2,
"hidden": false
},
"total": 58000,
"created": "2026-10-19T09:00:05.271Z",
"status": "processed",
"settlementId": "6ab28708c26d9f431DEMO",
"owner": "66f041d90134d6e6d5DEMO",
"references": [],
"hash": "DEMO",
"updated": "2026-10-19T09:00:06.262Z",
"__v": 0,
"metadata": {
"senderPreviousBalance": -33079325819.658714,
"senderCurrentBalance": -33079383819.658714
}
}
],
"transaction": {
"result": true,
"view": {
"type": "card"
},
"payment": {
"id": "YPGS3G2QW93476DEMO",
"reference": "2477118933b420ed35ecea88fDEMO",
"description": "DEMO",
"operation": {
"type": "payment.v2"
},
"status": {
"code": "300",
"text": "Acreditado",
"message": "Transacción Aprobada",
"data": {},
"view": "default",
"resultCode": "00"
},
"total": 200,
"requestedTotal": 200,
"requestedCurrency": {
"code": "ARS",
"text": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"exponent": 2
},
"currency": {
"code": "ARS",
"text": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"exponent": 2
},
"riskAnalysis": {
"band": "N/A",
"level": "N/A"
},
"created": "2026-10-15T17:56:57.042Z",
"updated": "2026-10-19T09:00:14.842Z",
"source": {
"name": "Visa Débito",
"type": "card",
"reference": "visa.debit",
"number": "43989999****9999",
"variant": "debit",
"detectedReference": "visa.debit.bancoprovinciabsas",
"cardholder": {
"name": "DEMO",
"identification": "123123123"
},
"expiration": {
"month": "06",
"year": "28"
},
"installment": {
"description": "Débito",
"amount": 200,
"count": 1,
"reference": "1",
"uid": "EYKDMB1E2HDEMO",
"tags": []
},
"transaction": {
"transactionId": "YPGS3G2QW9347DEMO",
"authorizationCode": "222222",
"batchNo": "134",
"ticketNo": "5299",
"resultCode": "00",
"retrievalReferenceNo": "00000AAAA",
"merchantNo": "35534627",
"acquirer": "arg.prisma"
}
}
},
"source": {
"name": "Visa Débito",
"type": "card",
"reference": "visa.debit"
}
},
]
}
}Ejemplo de nodo childs:
"childs": [
{
"id": "675ae372aa48b839b789144f",
"uid": "CHD-727BJJJVN8FAC1UZLV",
"operation": "payment.v2",
"status": "200",
"card_number": "45079900****0010",
"source": {
"name": "Visa Débito",
"reference": "visa.debit"
},
"installment_count": 1,
"total": 400.53,
"currency": "TEST",
"description": "Checkout de Prueba",
"reference": "02G3GROO2VP5N2ANE8",
"user": {
"name": "Cliente Demo",
"email": "[email protected]"
},
"updated": "2024-12-12T13:24:22.602Z",
"created": "2024-12-12T13:21:54.377Z"
},
{
"id": "675ae372aa48b839b7891457",
"uid": "CHD-R3I5VC9H0KV4GDE0QK",
"operation": "payment.v2",
"status": "200",
"card_number": "45079831****2450",
"source": {
"name": "Visa",
"reference": "visa"
},
"installment_count": 1,
"total": 500,
"currency": "TEST",
"description": "Checkout de Prueba",
"reference": "949MFIFCZM77505MKK",
"user": {
"name": "Cliente Demo",
"email": "[email protected]"
},
"updated": "2024-12-12T13:22:06.791Z",
"created": "2024-12-12T13:21:54.377Z"
}
]
Listado y Búsqueda de Transacciones
Mediante la siguiente API se puede obtener un listado de operaciones en Gire y ejecutar diferentes filtros sobre ellas.
GET
https://api.bdp.gire.com/p/entity/operations?page={page}&limit={limit}
Query Parameters
- pageIntegerrequiredDescription
- limitIntegerDescription
- statusNumberDescription
- currencyStringDescription
- created_fromstringDescription
- created_tostringDescription
- textstringDescription
- referencestringDescription
- testBooleanDescription
- contextstringDescription
Header Parameters
- x-api-keystringrequiredDescription
- x-access-tokenstringrequiredDescription
javascript
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function() {
if(this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://api.mobbex.com/p/entity/operations?page=0&limit=20&reference=my_mobbex_reference&context=plugin.value.checkout:web,plugin.value.payment_order:web,&test=true");
xhr.setRequestHeader("x-api-key", "zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj");
xhr.setRequestHeader("x-access-token", "d31f0721-2f85-44e7-bcc6-15e19d1a53cc");
xhr.send();php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.bdp.gire.com/p/entity/operations?page=0&limit=20&reference=my_gire_reference&context=plugin.value.checkout:web,plugin.value.payment_order:web&test=true',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'x-api-key: zJ8LFTBX6Ba8D611e9io13fDZAwj0QmKO1Hn1yIj',
'x-access-token: d31f0721-2f85-44e7-bcc6-15e19d1a53cc'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
200
"data": {
"docs": [
{
"_id": "6ac63b80394d1a6ade5c89cb",
"uid": "FW0F2SEJ5DYYYYYJKLJMBB",
"operation": "payment.v2",
"intentToken": {
"_id": "6ac63b61f014878fbaef8888",
"data": {
"total": 100,
"currency": "ARS",
"reference": "20765471234",
"description": "Cuota 6",
"multicard": false,
"customerReference": "177336",
"customerData": {
"email": "[email protected]",
"name": "Test Test",
"identification": "31897120",
"phone": "01123595555",
"uid": "177336123",
"createdAt": "2026-05-05 17:45:35",
"birthdate": "1985-10-02"
},
"domain": "https://demogire.com"
}
},
"status": "200",
"status_message": "Transacción Aprobada",
"poi": "manual",
"entity": {
"_id": "68fa1be74b21047d637efasdfas",
"uid": "IEJ028BIRBS37123454",
"name": "test test",
"tax_id": "306765573032"
},
"creator": null,
"sourceReference": "visa",
"sourceName": "Visa",
"sourceType": "card",
"sourceAction": "cashin",
"installmentReference": "1",
"installmentUid": "MEVHUFBsdafsd",
"total": 100,
"currency": "ARS",
"card_number": "4548888****0000",
"ticketNo": "0000",
"authorizationCode": "000000",
"merchantAcq": "arg.prisma",
"merchantNo": "00000",
"description": "Cuota 6",
"installment_count": 1,
"installment_amount": 100,
"handler": "mpg",
"user": {
"name": "Test"
},
"authMethod": "BRANDTOKEN",
"threeDSAuth": "none",
"updated": "2026-10-07T12:30:58.455Z",
"created": "2026-10-07T12:30:56.295Z",
"totals": {
"total": 100,
"user_charges": 0,
"entity_charges": {
"source": 0,
"installment": 0,
"service": 2364.25,
"discount": 0
},
"currency": "ARS",
"refunded_total": 0,
"installment_amount": 100,
"financial": {
"percentage": 0,
"amount": 0
},
"requested": {
"total": 100,
"currency": "ARS"
},
"currency_data": {
"value": "ARS",
"label": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"isoCode": "032",
"exponent": 2,
"hidden": false
},
"installment": {
"amount": 94570,
"count": 1
},
"financialData": {
"isOperated": true,
"user": {
"percentage": 0,
"fixed_amount": 0,
"installment": 0
},
"entity": {
"percentage": 2.5,
"fixed_amount": 0,
"installment": 0
}
}
},
"riskQualityLevel": 0,
"metadata": {
"riskAnalysisHandler": "",
"riskAnalysisHandlerAction": "ALLOW",
"riskAnalysisHandlerScope": "operator",
"riskAnalysisHasRiskIndex": true,
"serviceCosts": {
"percentage": 2.5,
"fixed_amount": 0,
"paymentAt": {
"type": "working_days",
"value": {
"count": 18
}
},
"settlementId": "LZFI0VEPZA6SDFADREE",
"settlementReference": "default",
"isOperated": true,
"uid": "HZGC3MFEO44D3DASDFN",
"tierUid": null,
"ruleUid": null,
"mode": "simple",
"collectionType": "withhold",
"resolutionPath": "",
"total": 100
}
},
"statusUpdatedAt": "2026-10-07T12:30:58.455Z",
"estimatedPayDate": "2026-11-03T09:00:00.000Z",
"context": {
"value": "plugin.value.checkout:web",
"name": "Checkout"
},
"intent": {
"value": "payment.v2",
"name": "Pago"
},
"source": {
"name": "Visa",
"reference": "visa"
},
"sign": "+",
"riskQuality": {
"level": 0,
"band": 0
},
"hasChilds": false,
"settlement": {
"uid": "",
"status": "1",
"status_message": ""
}
}
],
"total": 0,
"page": 1,
"prevPage": -1,
"nextPage": -1,
"nextCursor": null,
"limit": 10,
}
}300
{
"result": true,
"data": {
"docs": [
{
"_id": "6ad113e92bb4999b4aaaaaaaf",
"uid": "YPGS3G2QW9AAAAAASFFF",
"operation": "payment.v2",
"intentToken": {
"_id": "6ad113",
"data": {
"total": 200,
"currency": "ARS",
"reference": "2477118933b420ed35ecea88f16ASDFASD DEMO",
"description": "Pago de cuotas - DEMO",
"multicard": false,
"customerReference": "10374",
"customerData": {
"email": "[email protected]",
"name": "DEMO",
"identification": "30303003",
"phone": "30303003",
"uid": "10374"
}
}
},
"status": "300",
"poi": "manual",
"entity": {
"_id": "6a39aASDFADSFASDF",
"uid": "J83WS4SADFASDF",
"name": "DEMO",
"tax_id": "2929929292"
},
"creator": null,
"sourceReference": "visa.debit",
"sourceName": "Visa Débito",
"sourceType": "card",
"sourceAction": "cashin",
"installmentReference": "1",
"total": 58000,
"currency": "ARS",
"card_number": "4399999****9999",
"merchantAcq": "arg.prisma",
"description": "DEMO",
"reference": "2477118933b420ed35ecea88f16df2d22702DEM0",
"handler": "mpg",
"user": {
"name": "DEMO"
},
"authMethod": "BRANDTOKEN",
"threeDSAuth": "none",
"created": "2026-10-15T17:56:57.042Z",
"totals": {
"total": 58000,
"user_charges": 0,
"entity_charges": {
"source": 0,
"installment": 0,
"service": 580,
"discount": 0
},
"currency": "ARS",
"refunded_total": 0,
"installment_amount": 58000,
"financial": {
"percentage": 0,
"amount": 0
},
"requested": {
"total": 58000,
"currency": "ARS"
},
"currency_data": {
"value": "ARS",
"label": "Peso Argentino",
"symbol": "$",
"locale": "es-AR",
"isoCode": "032",
"exponent": 2,
"hidden": false
},
"installment": {
"amount": 200,
"count": 1
},
"financialData": {
"isOperated": true,
"user": {
"percentage": 0,
"fixed_amount": 0,
"installment": 0
},
"entity": {
"percentage": 1,
"fixed_amount": 0,
"installment": 0
}
}
},
"statuses": [
{
"status": "1",
"type": "transaction",
"visibility": "public",
"created": "2026-10-15T17:56:57.042Z",
"updated": "2026-10-15T17:56:57.042Z",
"updated_by": null,
"updated_byapp": null,
"scheduledFor": {
"day": 0,
"month": 0,
"year": 0,
"type": "exact"
},
"requestId": "e996bff5-903c-4fef-862a-bddDEMO",
"_id": "6ad113e92bb4DEMO"
},
{
"status": "200",
"type": "transaction",
"visibility": "public",
"view": "default",
"created": "2026-10-15T17:56:58.891Z",
"updated": "2026-10-15T17:56:58.891Z",
"updated_by": null,
"updated_byapp": null,
"scheduledFor": {
"day": 0,
"month": 0,
"year": 0,
"type": "exact"
},
"requestId": "e996bff5-903c-4fef-862a-bDEMO",
"_id": "6ad113ea2bb49DEMO"
},
{
"status": "300",
"type": "transaction",
"visibility": "public",
"view": "default",
"created": "2026-10-19T09:00:14.842Z",
"updated": "2026-10-19T09:00:14.842Z",
"updated_by": null,
"updated_byapp": null,
"scheduledFor": {
"day": 0,
"month": 0,
"year": 0,
"type": "exact"
},
"requestId": null,
"_id": "6ad5dc1e33f0DEMO"
}
],
"riskQualityLevel": 0,
"tags": [
{
"key": "context",
"text": "Checkout",
"icon": "bookmark",
"variant": "primary"
},
{
"key": "payment_method",
"text": "Visa Débito 6017",
"icon": "credit-card",
"variant": "default"
},
{
"key": "BRANDTOKEN",
"text": "Operación con Token de Marca",
"icon": "credit-card",
"variant": "success"
}
],
"metadata": {
"serviceCosts": {
"percentage": 1,
"fixed_amount": 0,
"paymentAt": {
"type": "working_days",
"value": {
"count": 2
}
},
"settlementId": "LZFI0VEDEM0",
"settlementReference": "default",
"isOperated": true,
"uid": "X2EMD5W9T8UG6GB0YV",
"tierUid": null,
"ruleUid": null,
"mode": "simple",
"collectionType": "DEMO",
"resolutionPath": "simple:entitysource.DEMO",
"total": 580
}
},
"estimatedPayDate": "2026-10-19T09:00:00.000Z",
"context": {
"value": "plugin.value.checkout:web",
"name": "Checkout"
},
"intent": {
"value": "payment.v2",
"name": "Pago"
},
"source": {
"name": "Visa Débito",
"reference": "visa.debit"
},
"sign": "+",
"riskQuality": {
"level": 0,
"band": 0
},
"hasChilds": false
}
],
"total": 0,
"page": 1,
"prevPage": -1,
"nextPage": -1,
"nextCursor": null,
"limit": 15,
"windowClamped": false
}
}Formato del created/updated en consultas:
Para poder filtrar pasando los parámetros created y updated, la fecha se enviar en formato Timestamp Unix en milisegundos o string en formato ISO 8601. Tener en cuenta que la zona horaria es en UTC.
Ejemplo para fecha dia 18 de diciembre 2025:
El valor en formato Timestamp Unix en milisegundos es 1766026800000 y pasado al formato ISO 8601 es 2025-12-18T03:00:00.000Z